## org.eclipse.amp.escape.ascape.chart
Class ChartCustomizer

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.ViewPart
                  org.eclipse.amp.escape.ascape.chart.ChartCustomizer

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.ui.IPersistable, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

    public class ChartCustomizer

extends org.eclipse.ui.part.ViewPart

The Class ChartCustomizer.

Field Summary
`protected ChartEditPart` `chartEditPart`
`protected DataSelection` `dataSelection`
`protected Scape` `scape`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`ChartCustomizer()`

Method Summary
`void` `createPartControl(org.eclipse.swt.widgets.Composite parent)`
`ChartEditPart` `getChartEditPart()`
`void` `refresh()`
`void` `setActionBars(org.eclipse.ui.IActionBars actionBars)` Sets the action bars.
`void` `setFocus()`
`void` `setInput(java.lang.Object object)` Sets the input.

Methods inherited from class org.eclipse.ui.part.ViewPart
`checkSite, getViewSite, init, init, saveState, setContentDescription, setInitializationData, setPartName`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, dispose, firePartPropertyChanged, firePropertyChange, getAdapter, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### scape

    protected Scape scape

### dataSelection

    protected DataSelection dataSelection

### chartEditPart

    protected ChartEditPart chartEditPart

Constructor Detail

### ChartCustomizer

    public ChartCustomizer()

Method Detail

### createPartControl

    public void createPartControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
  Specified by:
    `createPartControl` in class `org.eclipse.ui.part.WorkbenchPart`
  Parameters:
    `parent` -
  See Also:
    `WorkbenchPart.createPartControl(org.eclipse.swt.widgets.Composite)`

### setInput

    public void setInput(java.lang.Object object)

  Sets the input.

  Parameters:
    `object` - the new input

### setFocus

    public void setFocus()

  Specified by:
    `setFocus` in interface `org.eclipse.ui.IWorkbenchPart`
  Specified by:
    `setFocus` in class `org.eclipse.ui.part.WorkbenchPart`
  See Also:
    `WorkbenchPart.setFocus()`

### setActionBars

    public void setActionBars(org.eclipse.ui.IActionBars actionBars)

  Sets the action bars.

  Parameters:
    `actionBars` - the new action bars

### getChartEditPart

    public ChartEditPart getChartEditPart()

### refresh

    public void refresh()